%global pypi_name wcmatch

Name:           python-%{pypi_name}
Version:        8.4.1
Release:        %mkrel 1
Summary:        Wildcard/glob file name matcher
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/wcmatch/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Wildcard Match provides an enhanced fnmatch, glob, and pathlib library in order
to provide file matching and globbing that more closely follows the features
found in Bash. In some ways these libraries are similar to Python's builtin
libraries as they provide a similar interface to match, filter, and glob the
file system. But they also include a number of features found in Bash's
globbing such as backslash escaping, brace expansion, extended glob pattern
groups, etc. They also add a number of new useful functions as well, such as
globmatch which functions like fnmatch, but for paths.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(hatchling)

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Wildcard Match provides an enhanced fnmatch, glob, and pathlib library in order
to provide file matching and globbing that more closely follows the features
found in Bash. In some ways these libraries are similar to Python's builtin
libraries as they provide a similar interface to match, filter, and glob the
file system. But they also include a number of features found in Bash's
globbing such as backslash escaping, brace expansion, extended glob pattern
groups, etc. They also add a number of new useful functions as well, such as
globmatch which functions like fnmatch, but for paths.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wcmatch

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE.md README.md



%changelog
* Sun Nov 27 2022 guillomovitch <guillomovitch> 8.4.1-1.mga9
+ Revision: 1911585
- new version 8.4.1

* Thu Sep 08 2022 neoclust <neoclust> 8.4-1.mga9
+ Revision: 1885749
- New version  8.4

* Wed Mar 23 2022 umeabot <umeabot> 8.3-2.mga9
+ Revision: 1823099
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 8.3-1.mga9
+ Revision: 1781146
- version 8.3
- rebuild for python-3.10

* Sun Apr 04 2021 guillomovitch <guillomovitch> 8.1.2-1.mga9
+ Revision: 1713107
- imported package python-wcmatch

